Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.services
Class IDOLService

    java.lang.Object
      com.autonomy.aci.services.IDOLService

public class IDOLService
extends java.lang.Object

Class giving access to IDOL's functionality according to licensable functionality.

Constructor Summary
`IDOLService()`
`IDOLService(AciConnectionDetails idolConnectionDetails)`
`IDOLService(AciConnectionDetails queryConnectionDetails, AciConnectionDetails userConnectionDetails, AciConnectionDetails categoryConnectionDetails)`

Method Summary
`AciConnectionDetails` | `getCategoryConnectionDetails()`
`java.util.ArrayList` | `getDatabases()` Gives a list of all the databases that are configured on this Suir.
`EncryptionDetails` | `getEncryptionDetails()` Read the details of the encryption scheme being used when communicating with IDOL server.
`java.util.ArrayList` | `getLanguages()` Gives a list of all the language types that are configured on this Suir.
`AciConnectionDetails` | `getQueryConnectionDetails()`
`AciConnectionDetails` | `getUserConnectionDetails()`
`void` | `setCategoryConnectionDetails(AciConnectionDetails categoryConnectionDetails)`
`void` | `setEncryptionDetails(EncryptionDetails encryptionDetails)` Defines whether or not communications (ACI requests and responses) with IDOL server are encrypted.
`void` | `setQueryConnectionDetails(AciConnectionDetails queryConnectionDetails)`
`void` | `setUserConnectionDetails(AciConnectionDetails userConnectionDetails)`
`java.lang.String` | `toString()`
`AgentFunctionality` | `useAgentFunctionality()` Gives access to the Agents functionality of IDOLServer.
`ChannelsFunctionality` | `useChannelsFunctionality()` Gives access to the Channels functionality of IDOLServer.
`ClusteringFunctionality` | `useClusteringFunctionality()` Gives access to the Clustering functionality of IDOLServer.
`CollaborationFunctionality` | `useCollaborationFunctionality()` Gives access to the Collaboration functionality of IDOLServer.
`ConceptRetrievalFunctionality` | `useConceptRetrievalFunctionality()` Gives access to the Conceptual Retrieval functionality of IDOLServer.
`HyperlinkingFunctionality` | `useHyperlinkingFunctionality()` Gives access to the Hyperlinking functionality of IDOLServer.
`LiteRetrievalFunctionality` | `useLiteRetrievalFunctionality()` Gives access to the Lite Retrieval functionality of IDOLServer.
`ParametricRetrievalFunctionality` | `useParametricRetrievalFunctionality()` Gives access to the Parametric Retrieval functionality of IDOLServer.
`ProfilingFunctionality` | `useProfilingFunctionality()` Gives access to the Profiling functionality of IDOLServer.
`TaxonomyFunctionality` | `useTaxonomyFunctionality()` Gives access to the Taxonomy functionality of IDOLServer.
`UserFunctionality` | `useUserFunctionality()` Gives access to the User functionality of IDOLServer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IDOLService

    public IDOLService()

### IDOLService

    public IDOLService(AciConnectionDetails idolConnectionDetails)

### IDOLService

    public IDOLService(AciConnectionDetails queryConnectionDetails,
                       AciConnectionDetails userConnectionDetails,
                       AciConnectionDetails categoryConnectionDetails)

Method Detail

### setEncryptionDetails

    public void setEncryptionDetails(EncryptionDetails encryptionDetails)

  Defines whether or not communications (ACI requests and responses) with IDOL server are encrypted. Note that only BTEA encryption is currently supported. Also note that the IDOL server must also be configured to use encryption.

  Parameters:
    `encryptionDetails` - the information to use when encrypting requests and decrypting responses from the ACI server.

### getEncryptionDetails

    public EncryptionDetails getEncryptionDetails()

  Read the details of the encryption scheme being used when communicating with IDOL server.

  Returns:
    the encryption details.

### setQueryConnectionDetails

    public void setQueryConnectionDetails(AciConnectionDetails queryConnectionDetails)

### getQueryConnectionDetails

    public AciConnectionDetails getQueryConnectionDetails()

### setUserConnectionDetails

    public void setUserConnectionDetails(AciConnectionDetails userConnectionDetails)

### getUserConnectionDetails

    public AciConnectionDetails getUserConnectionDetails()

### setCategoryConnectionDetails

    public void setCategoryConnectionDetails(AciConnectionDetails categoryConnectionDetails)

### getCategoryConnectionDetails

    public AciConnectionDetails getCategoryConnectionDetails()

### getDatabases

    public java.util.ArrayList getDatabases()
                                     throws AciException

  Gives a list of all the databases that are configured on this Suir.

  Returns:
    an `ArrayList` of `String`s giving the names of the configured databases.
  Throws:
    `AciException` - if there was an error when making the request.

### getLanguages

    public java.util.ArrayList getLanguages()
                                     throws AciException

  Gives a list of all the language types that are configured on this Suir.

  Returns:
    an `ArrayList` of `String`s giving the names of the configured language type.
  Throws:
    `AciException` - if there was an error when making the request.

### useAgentFunctionality

    public AgentFunctionality useAgentFunctionality()

  Gives access to the Agents functionality of IDOLServer.

  Returns:
    a service for performing Agent type operations on IDOLServer.

### useChannelsFunctionality

    public ChannelsFunctionality useChannelsFunctionality()

  Gives access to the Channels functionality of IDOLServer.

  Returns:
    a service for performing Channels type operations on IDOLServer.

### useClusteringFunctionality

    public ClusteringFunctionality useClusteringFunctionality()

  Gives access to the Clustering functionality of IDOLServer.

  Returns:
    a service for performing Clustering type operations on IDOLServer.

### useCollaborationFunctionality

    public CollaborationFunctionality useCollaborationFunctionality()

  Gives access to the Collaboration functionality of IDOLServer.

  Returns:
    a service for performing Collaboration type operations on IDOLServer.

### useConceptRetrievalFunctionality

    public ConceptRetrievalFunctionality useConceptRetrievalFunctionality()

  Gives access to the Conceptual Retrieval functionality of IDOLServer.

  Returns:
    a service for performing Conceptual Retrieval type operations on IDOLServer.

### useHyperlinkingFunctionality

    public HyperlinkingFunctionality useHyperlinkingFunctionality()

  Gives access to the Hyperlinking functionality of IDOLServer.

  Returns:
    a service for performing Hyperlinking type operations on IDOLServer.

### useLiteRetrievalFunctionality

    public LiteRetrievalFunctionality useLiteRetrievalFunctionality()

  Gives access to the Lite Retrieval functionality of IDOLServer.

  Returns:
    a service for performing Lite Retrieval type operations on IDOLServer.

### useParametricRetrievalFunctionality

    public ParametricRetrievalFunctionality useParametricRetrievalFunctionality()

  Gives access to the Parametric Retrieval functionality of IDOLServer.

  Returns:
    a service for performing Parametric Retrieval type operations on IDOLServer.

### useProfilingFunctionality

    public ProfilingFunctionality useProfilingFunctionality()

  Gives access to the Profiling functionality of IDOLServer.

  Returns:
    a service for performing Profiling type operations on IDOLServer.

### useTaxonomyFunctionality

    public TaxonomyFunctionality useTaxonomyFunctionality()

  Gives access to the Taxonomy functionality of IDOLServer.

  Returns:
    a service for performing Taxonomy type operations on IDOLServer.

### useUserFunctionality

    public UserFunctionality useUserFunctionality()

  Gives access to the User functionality of IDOLServer.

  Returns:
    a service for performing User type operations on IDOLServer.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD